> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kinetica.com/llms.txt
> Use this file to discover all available pages before exploring further.

# kinetica.ExecuteSqlRequest.Options

> kinetica.ExecuteSqlRequest.Options — Kinetica C# API

<div className="kinetica-doxygen">
  <div className="contents">
    <p>A set of string constants for the parameter <a className="el" href="/content/api/cs/classkinetica_1_1ExecuteSqlRequest#abef6c94a5f7f1a87be65c19852c1374c" title="Optional parameters.">ExecuteSqlRequest.options</a>. <a href="#details">More...</a></p>

    <table className="memberdecls">
      <tr className="heading">
        <td colSpan="2">
          <h2 className="groupheader"> Static Public Attributes</h2>
        </td>
      </tr>

      <tr className="memitem:a031b53c6511aa19bf09c67f06e817179" id="r_a031b53c6511aa19bf09c67f06e817179">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a031b53c6511aa19bf09c67f06e817179">COST\_BASED\_OPTIMIZATION</a> = "cost\_based\_optimization"</td>
      </tr>

      <tr className="memdesc:a031b53c6511aa19bf09c67f06e817179">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables the cost-based optimization of the given query. <br /></td>
      </tr>

      <tr className="separator:a031b53c6511aa19bf09c67f06e817179">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a2261b89a14264b0834c0d30e326c36ae" id="r_a2261b89a14264b0834c0d30e326c36ae">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> = "true"</td>
      </tr>

      <tr className="memdesc:a2261b89a14264b0834c0d30e326c36ae">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">A boolean constant for the <a className="el" href="/content/api/cs/structkinetica_1_1ExecuteSqlRequest_1_1Options" title="A set of string constants for the parameter ExecuteSqlRequest.options.">ExecuteSqlRequest.Options</a> options. <br /></td>
      </tr>

      <tr className="separator:a2261b89a14264b0834c0d30e326c36ae">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a8d3398483a2194792710ea86e17542b6" id="r_a8d3398483a2194792710ea86e17542b6">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> = "false"</td>
      </tr>

      <tr className="memdesc:a8d3398483a2194792710ea86e17542b6">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">A boolean constant for the <a className="el" href="/content/api/cs/structkinetica_1_1ExecuteSqlRequest_1_1Options" title="A set of string constants for the parameter ExecuteSqlRequest.options.">ExecuteSqlRequest.Options</a> options. <br /></td>
      </tr>

      <tr className="separator:a8d3398483a2194792710ea86e17542b6">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:aecabe66e25addc7b9c38e0de0297f695" id="r_aecabe66e25addc7b9c38e0de0297f695">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#aecabe66e25addc7b9c38e0de0297f695">DISTRIBUTED\_JOINS</a> = "distributed\_joins"</td>
      </tr>

      <tr className="memdesc:aecabe66e25addc7b9c38e0de0297f695">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, enables the use of distributed joins in servicing the given query. <br /></td>
      </tr>

      <tr className="separator:aecabe66e25addc7b9c38e0de0297f695">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a01466703ffd6f87a15db517235750a97" id="r_a01466703ffd6f87a15db517235750a97">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a01466703ffd6f87a15db517235750a97">DISTRIBUTED\_OPERATIONS</a> = "distributed\_operations"</td>
      </tr>

      <tr className="memdesc:a01466703ffd6f87a15db517235750a97">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, enables the use of distributed operations in servicing the given query. <br /></td>
      </tr>

      <tr className="separator:a01466703ffd6f87a15db517235750a97">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a1304524bbda90495db8ff6668e475eab" id="r_a1304524bbda90495db8ff6668e475eab">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a1304524bbda90495db8ff6668e475eab">IGNORE\_EXISTING\_PK</a> = "ignore\_existing\_pk"</td>
      </tr>

      <tr className="memdesc:a1304524bbda90495db8ff6668e475eab">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">Specifies the record collision error-suppression policy for inserting into or updating a table with a <a href="/content/concepts/tables/#primary-keys" target="_top">primary key</a>, only used when primary key record collisions are rejected (<a className="el" href="#a5a527f259df5ca093f997e83ae81e46b">UPDATE\_ON\_EXISTING\_PK</a> is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>). <br /></td>
      </tr>

      <tr className="separator:a1304524bbda90495db8ff6668e475eab">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:ab488b062b5314ad64e5f05cf4ed72207" id="r_ab488b062b5314ad64e5f05cf4ed72207">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#ab488b062b5314ad64e5f05cf4ed72207">LATE\_MATERIALIZATION</a> = "late\_materialization"</td>
      </tr>

      <tr className="memdesc:ab488b062b5314ad64e5f05cf4ed72207">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, Joins/Filters results will always be materialized ( saved to result tables format). <br /></td>
      </tr>

      <tr className="separator:ab488b062b5314ad64e5f05cf4ed72207">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a2ae97f7febf74def40a4da512900feb4" id="r_a2ae97f7febf74def40a4da512900feb4">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a2ae97f7febf74def40a4da512900feb4">PAGING\_TABLE</a> = "paging\_table"</td>
      </tr>

      <tr className="memdesc:a2ae97f7febf74def40a4da512900feb4">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">When specified (or <a className="el" href="#ad52510786404d2c404faac1700844d51">PAGING\_TABLE\_TTL</a> is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when <a className="el" href="/content/api/cs/classkinetica_1_1ExecuteSqlResponse#a3b083add39c6124290935c9a64426326">has\_more\_records</a> is <a className="el" href="/content/api/cs/structkinetica_1_1ExecuteSqlResponse_1_1HasMoreRecords#a53f0428a7430c20b06d717c9d0d5f7da">TRUE</a>). <br /></td>
      </tr>

      <tr className="separator:a2ae97f7febf74def40a4da512900feb4">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:ad52510786404d2c404faac1700844d51" id="r_ad52510786404d2c404faac1700844d51">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#ad52510786404d2c404faac1700844d51">PAGING\_TABLE\_TTL</a> = "paging\_table\_ttl"</td>
      </tr>

      <tr className="memdesc:ad52510786404d2c404faac1700844d51">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">Sets the <a href="/content/concepts/ttl/" target="_top">TTL</a> of the paging table. <br /></td>
      </tr>

      <tr className="separator:ad52510786404d2c404faac1700844d51">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:aa71c365478d9b577c24ab426ee033538" id="r_aa71c365478d9b577c24ab426ee033538">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#aa71c365478d9b577c24ab426ee033538">PARALLEL\_EXECUTION</a> = "parallel\_execution"</td>
      </tr>

      <tr className="memdesc:aa71c365478d9b577c24ab426ee033538">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables the parallel step execution of the given query. <br /></td>
      </tr>

      <tr className="separator:aa71c365478d9b577c24ab426ee033538">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:ab017ca623127d6d588e6265b0bc8c2cd" id="r_ab017ca623127d6d588e6265b0bc8c2cd">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#ab017ca623127d6d588e6265b0bc8c2cd">PLAN\_CACHE</a> = "plan\_cache"</td>
      </tr>

      <tr className="memdesc:ab017ca623127d6d588e6265b0bc8c2cd">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables plan caching for the given query. <br /></td>
      </tr>

      <tr className="separator:ab017ca623127d6d588e6265b0bc8c2cd">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:adc4a82c4ef7b7efbe4d4662951cc4829" id="r_adc4a82c4ef7b7efbe4d4662951cc4829">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#adc4a82c4ef7b7efbe4d4662951cc4829">PREPARE\_MODE</a> = "prepare\_mode"</td>
      </tr>

      <tr className="memdesc:adc4a82c4ef7b7efbe4d4662951cc4829">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, compiles a query into an execution plan and saves it in query cache. <br /></td>
      </tr>

      <tr className="separator:adc4a82c4ef7b7efbe4d4662951cc4829">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a75ca1bbff9467dc584d92976cf58139e" id="r_a75ca1bbff9467dc584d92976cf58139e">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a75ca1bbff9467dc584d92976cf58139e">PRESERVE\_DICT\_ENCODING</a> = "preserve\_dict\_encoding"</td>
      </tr>

      <tr className="memdesc:a75ca1bbff9467dc584d92976cf58139e">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, then columns that were dict encoded in the source table will be dict encoded in the projection table. <br /></td>
      </tr>

      <tr className="separator:a75ca1bbff9467dc584d92976cf58139e">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a1733f7fbfacb132e30930deb2c9426b4" id="r_a1733f7fbfacb132e30930deb2c9426b4">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a1733f7fbfacb132e30930deb2c9426b4">QUERY\_PARAMETERS</a> = "query\_parameters"</td>
      </tr>

      <tr className="memdesc:a1733f7fbfacb132e30930deb2c9426b4">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">Query parameters in JSON array or arrays (for inserting multiple rows). <br /></td>
      </tr>

      <tr className="separator:a1733f7fbfacb132e30930deb2c9426b4">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a81803c245977fa966e38961a910601be" id="r_a81803c245977fa966e38961a910601be">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a81803c245977fa966e38961a910601be">RESULTS\_CACHING</a> = "results\_caching"</td>
      </tr>

      <tr className="memdesc:a81803c245977fa966e38961a910601be">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables caching of the results of the given query. <br /></td>
      </tr>

      <tr className="separator:a81803c245977fa966e38961a910601be">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a773ef56bb389ea992473021e7376170e" id="r_a773ef56bb389ea992473021e7376170e">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a773ef56bb389ea992473021e7376170e">RULE\_BASED\_OPTIMIZATION</a> = "rule\_based\_optimization"</td>
      </tr>

      <tr className="memdesc:a773ef56bb389ea992473021e7376170e">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables rule-based rewrite optimizations for the given query. <br /></td>
      </tr>

      <tr className="separator:a773ef56bb389ea992473021e7376170e">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:af478cff9f1a8de63221221d7692bfb4d" id="r_af478cff9f1a8de63221221d7692bfb4d">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#af478cff9f1a8de63221221d7692bfb4d">SSQ\_OPTIMIZATION</a> = "ssq\_optimization"</td>
      </tr>

      <tr className="memdesc:af478cff9f1a8de63221221d7692bfb4d">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, scalar subqueries will be translated into joins. <br /></td>
      </tr>

      <tr className="separator:af478cff9f1a8de63221221d7692bfb4d">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a2e15c6300aa3cc35b53f9d96bc290809" id="r_a2e15c6300aa3cc35b53f9d96bc290809">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a2e15c6300aa3cc35b53f9d96bc290809">TTL</a> = "ttl"</td>
      </tr>

      <tr className="memdesc:a2e15c6300aa3cc35b53f9d96bc290809">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">Sets the <a href="/content/concepts/ttl/" target="_top">TTL</a> of the intermediate result tables used in query execution. <br /></td>
      </tr>

      <tr className="separator:a2e15c6300aa3cc35b53f9d96bc290809">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a5a527f259df5ca093f997e83ae81e46b" id="r_a5a527f259df5ca093f997e83ae81e46b">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a5a527f259df5ca093f997e83ae81e46b">UPDATE\_ON\_EXISTING\_PK</a> = "update\_on\_existing\_pk"</td>
      </tr>

      <tr className="memdesc:a5a527f259df5ca093f997e83ae81e46b">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">Specifies the record collision policy for inserting into or updating a table with a <a href="/content/concepts/tables/#primary-keys" target="_top">primary key</a>. <br /></td>
      </tr>

      <tr className="separator:a5a527f259df5ca093f997e83ae81e46b">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:aa570ea046a414cf24b5075327cf7885e" id="r_aa570ea046a414cf24b5075327cf7885e">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#aa570ea046a414cf24b5075327cf7885e">VALIDATE\_CHANGE\_COLUMN</a> = "validate\_change\_column"</td>
      </tr>

      <tr className="memdesc:aa570ea046a414cf24b5075327cf7885e">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">When changing a column using alter table, validate the change before applying it. <br /></td>
      </tr>

      <tr className="separator:aa570ea046a414cf24b5075327cf7885e">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>

      <tr className="memitem:a656295be10ed9e16a3731377a18be6be" id="r_a656295be10ed9e16a3731377a18be6be">
        <td className="memItemLeft" align="right" valign="top">const string </td>
        <td className="memItemRight" valign="bottom"><a className="el" href="#a656295be10ed9e16a3731377a18be6be">CURRENT\_SCHEMA</a> = "current\_schema"</td>
      </tr>

      <tr className="memdesc:a656295be10ed9e16a3731377a18be6be">
        <td className="mdescLeft"> </td>
        <td className="mdescRight">Use the supplied value as the <a href="/content/concepts/schemas/#default-schema" target="_top">default schema</a> when processing this SQL command. <br /></td>
      </tr>

      <tr className="separator:a656295be10ed9e16a3731377a18be6be">
        <td className="memSeparator" colSpan="2"> </td>
      </tr>
    </table>

    <h2 className="groupheader">Detailed Description</h2>

    <div className="textblock">
      <p>A set of string constants for the parameter <a className="el" href="/content/api/cs/classkinetica_1_1ExecuteSqlRequest#abef6c94a5f7f1a87be65c19852c1374c" title="Optional parameters.">ExecuteSqlRequest.options</a>. </p>
      <p>Optional parameters.</p>
      <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00058">58</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
    </div>

    <h2 className="groupheader">Member Data Documentation</h2>
    <h2 className="memtitle"><span className="permalink"><a href="#a031b53c6511aa19bf09c67f06e817179">◆ </a></span>COST\_BASED\_OPTIMIZATION</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.COST\_BASED\_OPTIMIZATION = "cost\_based\_optimization"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables the cost-based optimization of the given query. </p>
        <p>Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00077">77</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a656295be10ed9e16a3731377a18be6be">◆ </a></span>CURRENT\_SCHEMA</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.CURRENT\_SCHEMA = "current\_schema"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>Use the supplied value as the <a href="/content/concepts/schemas/#default-schema" target="_top">default schema</a> when processing this SQL command. </p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00427">427</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#aecabe66e25addc7b9c38e0de0297f695">◆ </a></span>DISTRIBUTED\_JOINS</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.DISTRIBUTED\_JOINS = "distributed\_joins"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, enables the use of distributed joins in servicing the given query. </p>
        <p>Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00107">107</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a01466703ffd6f87a15db517235750a97">◆ </a></span>DISTRIBUTED\_OPERATIONS</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.DISTRIBUTED\_OPERATIONS = "distributed\_operations"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, enables the use of distributed operations in servicing the given query. </p>
        <p>Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00129">129</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a8d3398483a2194792710ea86e17542b6">◆ </a></span>FALSE</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.FALSE = "false"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>A boolean constant for the <a className="el" href="/content/api/cs/structkinetica_1_1ExecuteSqlRequest_1_1Options" title="A set of string constants for the parameter ExecuteSqlRequest.options.">ExecuteSqlRequest.Options</a> options. </p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00085">85</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a1304524bbda90495db8ff6668e475eab">◆ </a></span>IGNORE\_EXISTING\_PK</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.IGNORE\_EXISTING\_PK = "ignore\_existing\_pk"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>Specifies the record collision error-suppression policy for inserting into or updating a table with a <a href="/content/concepts/tables/#primary-keys" target="_top">primary key</a>, only used when primary key record collisions are rejected (<a className="el" href="#a5a527f259df5ca093f997e83ae81e46b">UPDATE\_ON\_EXISTING\_PK</a> is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>). </p>
        <p>If set to <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, any record insert/update that is rejected for resulting in a primary key collision with an existing table record will be ignored with no error generated. If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, the rejection of any insert/update for resulting in a primary key collision will cause an error to be reported. If the specified table does not have a primary key or if <a className="el" href="#a5a527f259df5ca093f997e83ae81e46b">UPDATE\_ON\_EXISTING\_PK</a> is <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, then this option has no effect. Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>: Ignore inserts/updates that result in primary key collisions with existing records. </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>: Treat as errors any inserts/updates that result in primary key collisions with existing records. </li>
        </ul>

        <p>The default value is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00170">170</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#ab488b062b5314ad64e5f05cf4ed72207">◆ </a></span>LATE\_MATERIALIZATION</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.LATE\_MATERIALIZATION = "late\_materialization"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, Joins/Filters results will always be materialized ( saved to result tables format). </p>
        <p>Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00189">189</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a2ae97f7febf74def40a4da512900feb4">◆ </a></span>PAGING\_TABLE</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.PAGING\_TABLE = "paging\_table"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>When specified (or <a className="el" href="#ad52510786404d2c404faac1700844d51">PAGING\_TABLE\_TTL</a> is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when <a className="el" href="/content/api/cs/classkinetica_1_1ExecuteSqlResponse#a3b083add39c6124290935c9a64426326">has\_more\_records</a> is <a className="el" href="/content/api/cs/structkinetica_1_1ExecuteSqlResponse_1_1HasMoreRecords#a53f0428a7430c20b06d717c9d0d5f7da">TRUE</a>). </p>
        <p>If the specified paging table exists, the records from the paging table are returned without re-evaluating the query. It is the caller's responsibility to clear the <a className="el" href="/content/api/cs/classkinetica_1_1ExecuteSqlResponse#ab3bb657a76b2fb7f4136b5ab416dceef">paging\_table</a> and other tables in the <a className="el" href="/content/api/cs/structkinetica_1_1ExecuteSqlResponse_1_1Info#ad80ec211983087d613e6f34825e5d06b">RESULT\_TABLE\_LIST</a> (both returned in the response) when they are done with this query. </p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00207">207</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#ad52510786404d2c404faac1700844d51">◆ </a></span>PAGING\_TABLE\_TTL</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.PAGING\_TABLE\_TTL = "paging\_table\_ttl"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>Sets the <a href="/content/concepts/ttl/" target="_top">TTL</a> of the paging table. </p>
        <p>-1 indicates no timeout. Setting this option will cause a paging table to be generated when needed. The <a className="el" href="/content/api/cs/classkinetica_1_1ExecuteSqlResponse#ab3bb657a76b2fb7f4136b5ab416dceef">paging\_table</a> and other tables in the <a className="el" href="/content/api/cs/structkinetica_1_1ExecuteSqlResponse_1_1Info#ad80ec211983087d613e6f34825e5d06b">RESULT\_TABLE\_LIST</a> (both returned in the response) will be automatically cleared after the TTL expires, if set to a positive number. However, it is still recommended that the caller clear these tables when they are done with this query.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00220">220</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#aa71c365478d9b577c24ab426ee033538">◆ </a></span>PARALLEL\_EXECUTION</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.PARALLEL\_EXECUTION = "parallel\_execution"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables the parallel step execution of the given query. </p>
        <p>Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00238">238</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#ab017ca623127d6d588e6265b0bc8c2cd">◆ </a></span>PLAN\_CACHE</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.PLAN\_CACHE = "plan\_cache"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables plan caching for the given query. </p>
        <p>Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00256">256</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#adc4a82c4ef7b7efbe4d4662951cc4829">◆ </a></span>PREPARE\_MODE</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.PREPARE\_MODE = "prepare\_mode"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, compiles a query into an execution plan and saves it in query cache. </p>
        <p>Query execution is not performed and an empty response will be returned to user. Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00277">277</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a75ca1bbff9467dc584d92976cf58139e">◆ </a></span>PRESERVE\_DICT\_ENCODING</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.PRESERVE\_DICT\_ENCODING = "preserve\_dict\_encoding"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, then columns that were dict encoded in the source table will be dict encoded in the projection table. </p>
        <p>Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00295">295</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a1733f7fbfacb132e30930deb2c9426b4">◆ </a></span>QUERY\_PARAMETERS</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.QUERY\_PARAMETERS = "query\_parameters"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>Query parameters in JSON array or arrays (for inserting multiple rows). </p>
        <p>This can be used instead of <a className="el" href="/content/api/cs/classkinetica_1_1ExecuteSqlRequest#ae17f8837d4744adfbc63df697322573a" title="An array of binary-encoded data for the records to be binded to the SQL query.">ExecuteSqlRequest.data</a> and <a className="el" href="/content/api/cs/classkinetica_1_1ExecuteSqlRequest#ad36d395425ecceeebd5bb817764d2c3f" title="Avro schema of ExecuteSqlRequest.data.">ExecuteSqlRequest.request\_schema\_str</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00302">302</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a81803c245977fa966e38961a910601be">◆ </a></span>RESULTS\_CACHING</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.RESULTS\_CACHING = "results\_caching"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables caching of the results of the given query. </p>
        <p>Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00320">320</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a773ef56bb389ea992473021e7376170e">◆ </a></span>RULE\_BASED\_OPTIMIZATION</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.RULE\_BASED\_OPTIMIZATION = "rule\_based\_optimization"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, disables rule-based rewrite optimizations for the given query. </p>
        <p>Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00338">338</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#af478cff9f1a8de63221221d7692bfb4d">◆ </a></span>SSQ\_OPTIMIZATION</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.SSQ\_OPTIMIZATION = "ssq\_optimization"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, scalar subqueries will be translated into joins. </p>
        <p>Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00356">356</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a2261b89a14264b0834c0d30e326c36ae">◆ </a></span>TRUE</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.TRUE = "true"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>A boolean constant for the <a className="el" href="/content/api/cs/structkinetica_1_1ExecuteSqlRequest_1_1Options" title="A set of string constants for the parameter ExecuteSqlRequest.options.">ExecuteSqlRequest.Options</a> options. </p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00081">81</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a2e15c6300aa3cc35b53f9d96bc290809">◆ </a></span>TTL</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.TTL = "ttl"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>Sets the <a href="/content/concepts/ttl/" target="_top">TTL</a> of the intermediate result tables used in query execution. </p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00361">361</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#a5a527f259df5ca093f997e83ae81e46b">◆ </a></span>UPDATE\_ON\_EXISTING\_PK</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.UPDATE\_ON\_EXISTING\_PK = "update\_on\_existing\_pk"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>Specifies the record collision policy for inserting into or updating a table with a <a href="/content/concepts/tables/#primary-keys" target="_top">primary key</a>. </p>
        <p>If set to <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, any existing table record with primary key values that match those of a record being inserted or updated will be replaced by that record. If set to <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, any such primary key collision will result in the insert/update being rejected and the error handled as determined by <a className="el" href="#a1304524bbda90495db8ff6668e475eab">IGNORE\_EXISTING\_PK</a>. If the specified table does not have a primary key, then this option has no effect. Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>: Replace the collided-into record with the record inserted or updated when a new/modified record causes a primary key collision with an existing record. </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>: Reject the insert or update when it results in a primary key collision with an existing record. </li>
        </ul>

        <p>The default value is <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00398">398</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <h2 className="memtitle"><span className="permalink"><a href="#aa570ea046a414cf24b5075327cf7885e">◆ </a></span>VALIDATE\_CHANGE\_COLUMN</h2>

    <div className="memitem">
      <div className="memproto">
        <table className="mlabels">
          <tr>
            <td className="mlabels-left">
              <table className="memname">
                <tr>
                  <td className="memname">const string kinetica.ExecuteSqlRequest.Options.VALIDATE\_CHANGE\_COLUMN = "validate\_change\_column"</td>
                </tr>
              </table>
            </td>

            <td className="mlabels-right"> <span className="mlabels"><span className="mlabel static">static</span></span> </td>
          </tr>
        </table>
      </div>

      <div className="memdoc">
        <p>When changing a column using alter table, validate the change before applying it. </p>
        <p>If <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>, then validate all values. A value too large (or too long) for the new type will prevent any change. If <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a>, then when a value is too large or long, it will be truncated. Supported values:</p>

        <ul>
          <li> <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a> </li>
          <li> <a className="el" href="#a8d3398483a2194792710ea86e17542b6">FALSE</a> </li>
        </ul>

        <p>The default value is <a className="el" href="#a2261b89a14264b0834c0d30e326c36ae">TRUE</a>.</p>
        <p className="definition">Definition at line <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source#l00421">421</a> of file <a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a>.</p>
      </div>
    </div>

    <hr />

    The documentation for this struct was generated from the following files:

    <ul>
      <li>\_build/public-os\_ubuntu24.04-arch\_amd64-cc\_gcc\_13.3.0/install/Kinetica/Protocol/<a className="el" href="/content/api/cs/__build_2public-os__ubuntu24_804-arch__amd64-cc__gcc__13_83_80_2install_2Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a></li>
      <li>Kinetica/Protocol/<a className="el" href="/content/api/cs/Kinetica_2Protocol_2ExecuteSql_8cs_source">ExecuteSql.cs</a></li>
    </ul>
  </div>
</div>
